Loading...
Searching...
No Matches
unity::shell::scopes::FiltersInterface Class Reference
Inheritance diagram for unity::shell::scopes::FiltersInterface:
[legend]
Collaboration diagram for unity::shell::scopes::FiltersInterface:
[legend]

## Public Types

enum | Roles { RoleFilterId = Qt::UserRole + 1 , RoleFilterType , RoleFilter }
enum | FilterType { Invalid , OptionSelectorFilter , RangeInputFilter , ValueSliderFilter , ExpandableFilterWidget }

## Public Member Functions

QHash< int, QByteArray > | roleNames () const override

The documentation for this class was generated from the following file:

- include/unity/shell/scopes/FiltersInterface.h